/* GNOME DB library
 * Copyright (C) 1999-2002 The GNOME Foundation.
 *
 * AUTHORS:
 *      Rodrigo Moya <rodrigo@gnome-db.org>
 *
 * This Library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This Library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this Library; see the file COPYING.LIB.  If not,
 * write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#if !defined(__gnome_db_browser_h__)
#  define __gnome_db_browser_h__

#include <libgda/gda-connection.h>
#include <gtk/gtkvbox.h>

G_BEGIN_DECLS

#define GNOME_DB_TYPE_BROWSER            (gnome_db_browser_get_type())
#define GNOME_DB_BROWSER(obj)            (G_TYPE_CHECK_INSTANCE_CAST (obj, GNOME_DB_TYPE_BROWSER, GnomeDbBrowser))
#define GNOME_DB_BROWSER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST (klass, GNOME_DB_TYPE_BROWSER, GnomeDbBrowserClass))
#define GNOME_DB_IS_BROWSER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj, GNOME_DB_TYPE_BROWSER))
#define GNOME_DB_IS_BROWSER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GNOME_DB_TYPE_BROWSER))

typedef struct _GnomeDbBrowser        GnomeDbBrowser;
typedef struct _GnomeDbBrowserClass   GnomeDbBrowserClass;
typedef struct _GnomeDbBrowserPrivate GnomeDbBrowserPrivate;

struct _GnomeDbBrowser {
	GtkVBox parent;
	GnomeDbBrowserPrivate *priv;
};

struct _GnomeDbBrowserClass {
	GtkVBoxClass parent_class;

	/* signals */
	void (* progress_message) (GnomeDbBrowser *browser, const gchar *msg);
};

GType          gnome_db_browser_get_type (void);
GtkWidget     *gnome_db_browser_new (void);
GdaConnection *gnome_db_browser_get_connection (GnomeDbBrowser *browser);
void           gnome_db_browser_set_connection (GnomeDbBrowser *browser, GdaConnection *cnc);
void           gnome_db_browser_refresh (GnomeDbBrowser *browser);

G_END_DECLS

#endif
